Bug 1290453 - [ja_JP][zh_CN][Reports portal]: Some reports show square boxes instead of Japanese, Chinese text.
[ja_JP][zh_CN][Reports portal]: Some reports show square boxes instead of Jap...
Status: CLOSED NOTABUG
Product: ovirt-engine-reports
Classification: oVirt
Component: Reports (Show other bugs)
3.6.0
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Shirly Radco
Pavel Stehlik
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 09:52 EST by Bhushan Barve
Modified: 2015-12-16 05:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 04:35:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
ja_JP improper rendering (88.22 KB, image/png)
2015-12-10 09:53 EST, Bhushan Barve
no flags Details
zh_CN improper rendering (66.56 KB, image/png)
2015-12-10 09:54 EST, Bhushan Barve
no flags Details

  None (edit)
Description Bhushan Barve 2015-12-10 09:52:50 EST
Description of problem: [ja_JP][zh_CN][Reports portal]: Some reports show square boxes instead of Japanese, Chinese text. For e.g. BR18, BR19.

Please refer attached screenshots.


Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager 버전: 3.6.1.1-0.1.el6 

How reproducible:
always

Steps to Reproduce:
1. Login to reports portal with ja_JP or zh_CN locale
2. Open a report. For e.g BR18, BR19
3.

Actual results:
Some text in the report appear as square boxes.

Expected results:
All the Chinese/Japanese text rendering should be proper.

Additional info:
Comment 1 Bhushan Barve 2015-12-10 09:53 EST
Created attachment 1104375 [details]
ja_JP improper rendering
Comment 2 Bhushan Barve 2015-12-10 09:54 EST
Created attachment 1104376 [details]
zh_CN improper rendering
Comment 3 Shirly Radco 2015-12-10 10:44:23 EST
Please install the chinese and Japanese fonts in the host were the jasperreports server is installed.
Comment 4 Shirly Radco 2015-12-13 05:56:32 EST
Please update if this can be closed.
Comment 5 Yuko Katabami 2015-12-16 04:35:21 EST
I have given bbarve he commands to install and restart the reportsd, so he should be able to ask the integration team to install the fonts on the test environment he has been provided.

Moving the status to CLOSED.
Comment 6 Bhushan Barve 2015-12-16 05:15:21 EST
Checked, working fine now.

Note You need to log in before you can comment on or make changes to this bug.